BLE_API v2.1.3

Data Fields
BLEATT_DIS_Data Struct Reference
BLE Services » BLE Defined-Services » BLE DIS Definitions » BLE DIS Application Definitions » BLE DIS Structure Definitions

`#include <ble_service_dis.h>`

## Data Fields
String_Format * | serial_number_str
Charac_Presentation_Format * | serial_number_format
String_Format * | manufacturer_name_str
Charac_Presentation_Format * | manufacturer_name_format
SystemId_Format * | system_id
String_Format * | firmware_rev_str
Charac_Presentation_Format * | firmware_rev_format
String_Format * | model_number_str
Charac_Presentation_Format * | model_number_format
String_Format * | hardware_rev_str
Charac_Presentation_Format * | hardware_rev_format
String_Format * | software_rev_str
Charac_Presentation_Format * | software_rev_format
PnPId_Format * | pnp_id

## Detailed Description

DIS Data Definition

## Field Documentation

## ◆ firmware_rev_format

Charac_Presentation_Format* BLEATT_DIS_Data::firmware_rev_format

Firmware revision string characteristic presentation format.

## ◆ firmware_rev_str

String_Format* BLEATT_DIS_Data::firmware_rev_str

Firmware revision string

## ◆ hardware_rev_format

Charac_Presentation_Format* BLEATT_DIS_Data::hardware_rev_format

Hardware revision string characteristic presentation format.

## ◆ hardware_rev_str

String_Format* BLEATT_DIS_Data::hardware_rev_str

Hardware revision string

## ◆ manufacturer_name_format

Charac_Presentation_Format* BLEATT_DIS_Data::manufacturer_name_format

Manufacturer name string characteristic presentation format.

## ◆ manufacturer_name_str

String_Format* BLEATT_DIS_Data::manufacturer_name_str

Manufacturer name string.

## ◆ model_number_format

Charac_Presentation_Format* BLEATT_DIS_Data::model_number_format

Model number string characteristic presentation format.

## ◆ model_number_str

String_Format* BLEATT_DIS_Data::model_number_str

Model number string

## ◆ pnp_id

PnPId_Format* BLEATT_DIS_Data::pnp_id

PnP ID

## ◆ serial_number_format

Charac_Presentation_Format* BLEATT_DIS_Data::serial_number_format

Serial number string characteristic presentation format.

## ◆ serial_number_str

String_Format* BLEATT_DIS_Data::serial_number_str

Serial number string.

## ◆ software_rev_format

Charac_Presentation_Format* BLEATT_DIS_Data::software_rev_format

Software revision string characteristic presentation format.

## ◆ software_rev_str

String_Format* BLEATT_DIS_Data::software_rev_str

Software revision string

## ◆ system_id

SystemId_Format* BLEATT_DIS_Data::system_id

System ID

The documentation for this struct was generated from the following file:

- Source/Service/DIS/ble_service_dis.h